#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	python		# Python binding

Summary:	GLib wrapper library around the libgit2 git access library
Summary(pl.UTF-8):	Biblioteka obudowania GLib do biblioteki dostępu do gita libgit2
Name:		libgit2-glib
Version:	1.2.0
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/libgit2-glib/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	e77dd1cb02d0e25f79ce8eda8dba6a7d
Patch0:		libgit2-1.8.patch
URL:		https://wiki.gnome.org/Libgit2-glib
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gobject-introspection-devel >= 0.10.1
%{?with_apidocs:BuildRequires:	gi-docgen}
BuildRequires:	libgit2-devel >= 0.26.0
BuildRequires:	meson >= 0.61.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.2.3
BuildRequires:	python3-pygobject3-devel >= 3.0.0
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	xz
Requires:	glib2 >= 1:2.44.0
Requires:	libgit2 >= 0.26.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# arch-dependent due to "..module" and "..overrrides" imports
%define		py3_gi_overridesdir	%{py3_sitedir}/gi/overrides

%description
libgit2-glib is a glib wrapper library around the libgit2 git access
library.

libgit2 only implements the core plumbing functions, not really the
higher level porcelain stuff.

%description -l pl.UTF-8
libgit2-glib to biblioteka obudowania glib dla biblioteki dostępu do
gita libgit2.

libgit2 implementuje tylko niskopoziomowe funkcje, bez całej otoczki
wyższego poziomu.

%package devel
Summary:	Header files for libgit2-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgit2-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.44.0
Requires:	gobject-introspection-devel >= 0.10.1
Requires:	libgit2-devel >= 0.26.0
Obsoletes:	libgit2-glib-static < 0.26.4

%description devel
Header files for libgit2-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgit2-glib.

%package apidocs
Summary:	libgit2-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgit2-glib
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
API documentation for libgit2-glib library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgit2-glib.

%package -n python3-libgit2-glib
Summary:	Python 3 binding for libgit2-glib library
Summary(pl.UTF-8):	Wiązanie Pythona 3 do biblioteki libgit2-glib
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-libs >= 1:3.2.3
Requires:	python3-pygobject3 >= 3.0.0

%description -n python3-libgit2-glib
Python 3 binding for libgit2-glib library.

%description -n python3-libgit2-glib -l pl.UTF-8
Wiązanie Pythona 3 do biblioteki libgit2-glib.

%package -n vala-libgit2-glib
Summary:	Vala API for libgit2-glib library
Summary(pl.UTF-8):	API języka Vala do biblioteki libgit2-glib
Group:		Development/Libraries
Requires:	libgit2-glib-devel = %{version}-%{release}
Requires:	vala
BuildArch:	noarch

%description -n vala-libgit2-glib
Vala API for libgit2-glib library.

%description -n vala-libgit2-glib -l pl.UTF-8
API języka Vala do biblioteki libgit2-glib.

%prep
%setup -q
%patch -P 0 -p1

%build
%meson build \
	-Dssh=true \
	-Dpython=true \
	%{?with_apidocs:-Dgtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%py3_comp $RPM_BUILD_ROOT
%py3_ocomp $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgit2-glib-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgit2-glib-1.0.so.0
%{_libdir}/girepository-1.0/Ggit-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgit2-glib-1.0.so
%{_includedir}/libgit2-glib-1.0
%{_datadir}/gir-1.0/Ggit-1.0.gir
%{_pkgconfigdir}/libgit2-glib-1.0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgit2-glib-1.0
%endif

%if %{with python}
%files -n python3-libgit2-glib
%defattr(644,root,root,755)
%{py3_gi_overridesdir}/Ggit.py
%{py3_gi_overridesdir}/__pycache__/Ggit.cpython-3*.py[co]
%endif

%files -n vala-libgit2-glib
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/ggit-1.0.deps
%{_datadir}/vala/vapi/ggit-1.0.vapi
%{_datadir}/vala/vapi/libgit2-glib-1.0.deps
%{_datadir}/vala/vapi/libgit2-glib-1.0.vapi
%changelog
* Thu Dec 12 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgit2-glib.git;a=log;h=master

* Thu Dec 12 2024 Jan Palus <atler@pld-linux.org> 88664d5
- libgit2 1.8 rebuild

* Thu Dec 12 2024 Jan Palus <atler@pld-linux.org> 6824084
- update deprecated meson macros

* Thu Dec 12 2024 Jan Palus <atler@pld-linux.org> 2bbe92c
- add patch fixing compatibility with libgit2 >= 1.8

* Tue Nov 21 2023 Jan Palus <atler@pld-linux.org> 9f8ad56
- libgit2 1.7.x rebuild

* Sun Sep 03 2023 Jakub Bogusz <qboosh@pld-linux.org> 774579a
- updated to 1.2.0

* Sat Aug 26 2023 Jan Palus <atler@pld-linux.org> 431b090
- libgit2 1.6 rebuild

* Tue May 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 90ae12b
- updated to 1.1.0

* Sun Jun 26 2022 Jakub Bogusz <qboosh@pld-linux.org> f7d54cb
- release 4

* Sat Jun 25 2022 Jakub Bogusz <qboosh@pld-linux.org> 9e38c9f
- use macro for gi overrides dir

* Mon Apr 04 2022 Jan Rękorajski <baggins@pld-linux.org> 6a61c86
- Release 3 (by relup.sh)

* Mon Apr 04 2022 Jan Rękorajski <baggins@pld-linux.org> 20a5b97
- update python packaging

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> a47bb16
- rebuild with python 3.10

* Thu Dec 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 20ad922
- updated to 1.0.0.1
- removed obsolete vapi* patches

* Sat Oct 23 2021 Jan Rękorajski <baggins@pld-linux.org> d2842b2
- Release 3 (by relup.sh)

* Sat Sep 04 2021 Adam Gołębiowski <adamg@pld-linux.org> fede9af
- rebuild against libgit2-1.2.0

* Sat Aug 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 07e34b5
- updated to 0.99.0.1
- removed obsolete libgit2-1.0 patch
- added vapi patches from git

* Fri May 28 2021 Jan Palus <atler@pld-linux.org> 52a359d
- libgit2 rebuild

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 489fde3
- release 5 (by relup.sh)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> eb9226a
- unconditional noarch subpackages

* Sun May 17 2020 Jan Rękorajski <baggins@pld-linux.org> 71a5267
- fix building with libgit2 1.x
- rel 4

